//
//  InsertProjectViewController.h
//  iTimesheet
//
//  Created by Mark Brindle on 08/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

// define a constant to use with the picker
#define kPickerComponent 0

  // Added <.., ..> Picker delegate/datasource interfaces 
@interface InsertProjectViewController : UIViewController
  <UIPickerViewDelegate, UIPickerViewDataSource> {
    
  UITextField *nameField;
  UITextField *descField;
  UIPickerView *costCentrePicker;
  
}

@property (nonatomic, retain) IBOutlet UITextField *nameField;
@property (nonatomic, retain) IBOutlet UITextField *descField;
@property (nonatomic, retain) IBOutlet UIPickerView *costCentrePicker;

// Manually added properties
@property (nonatomic, copy) NSString *projectName;
@property (nonatomic, copy) NSString *projectDesc;
@property (nonatomic, copy) NSString *projectCostCentre;

// Holds an array of cost centres
@property (nonatomic, retain) NSArray *costCentres;

- (IBAction)textFieldDoneEditing:(id)sender;

// Added method declarations

- (IBAction)create:(id)sender;
- (IBAction)cancel:(id)sender;

@end
