//
//  PPProject-SortedJobs.m
//  iTimesheet
//
//  Created by Mark Brindle on 09/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import "PPProject-SortedJobs.h"


@implementation PPProject (PPProject_SortedJobs)

- (NSArray *)sortedJobs {
  NSSortDescriptor *alpha = [[NSSortDescriptor alloc] 
                             initWithKey:@"name" ascending:YES];
  NSArray *descriptors = [NSArray arrayWithObject:alpha];
  [alpha release];
  alpha = nil;
  return [[[self jobs] allObjects] sortedArrayUsingDescriptors:descriptors];
}

@end
